Public Class NotesDialog

    Public Property Notes As String

    Private Sub btnOk_Click(sender As System.Object, e As System.EventArgs) Handles btnOk.Click
        Me.Notes = txtNotes.Text
        Me.DialogResult = Windows.Forms.DialogResult.OK
    End Sub

    Private Sub btnCancel_Click(sender As System.Object, e As System.EventArgs) Handles btnCancel.Click
        Me.DialogResult = Windows.Forms.DialogResult.Cancel
    End Sub

    Private Sub NotesDialog_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        txtNotes.Text = Me.Notes
    End Sub
End Class